/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.ParamRecoleccionDAO;
import com.rjconsultores.ventaboletos.entidad.ParamRecoleccion;
import com.rjconsultores.ventaboletos.service.ParamRecoleccionService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Desenvolvimento
 */
@Service("paramRecoleccionService")
public class ParamRecoleccionServiceImpl implements ParamRecoleccionService {

    @Autowired
    private ParamRecoleccionDAO paramRecoleccionDAO;

    public List<ParamRecoleccion> obtenerTodos() {
        return paramRecoleccionDAO.obtenerTodos();
    }

    public ParamRecoleccion obtenerID(Integer id) {
        return paramRecoleccionDAO.obtenerID(id);
    }

    @Transactional
    public ParamRecoleccion suscribir(ParamRecoleccion entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return paramRecoleccionDAO.suscribir(entidad);
    }

    @Transactional
    public ParamRecoleccion actualizacion(ParamRecoleccion entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return paramRecoleccionDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(ParamRecoleccion entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        paramRecoleccionDAO.actualizacion(entidad);
    }
}
